# audiocontainer.cpp File Reference

Audio Container implementation File. More...

`#include <algorithm>`
`#include <sigc++/signal.h>`
`#include <ETL/stringf>`
`#include <ETL/clock>`
`#include <glibmm/thread.h>`
`#include <synfig/general.h>`
`#include <glibmm/main.h>`
`#include "audiocontainer.h"`
`#include <cstdio>`
`#include <sys/stat.h>`
`#include <errno.h>`
`#include <set>`
`#include <vector>`
`#include "general.h"`

## Defines

#define | AUDIO_OUTPUT FSOUND_OUTPUT_OSS

## Functions

bool | build_profile (FSOUND_SAMPLE *, double &, std::vector< char > &)

## Variables

const double | delay_factor = 3

## Detailed Description

Audio Container implementation File.

$Id$

## Define Documentation

#define AUDIO_OUTPUT FSOUND_OUTPUT_OSS

## Function Documentation

bool build_profile | ( | FSOUND_SAMPLE * | ,
|  | double & | ,
|  | std::vector< char > & |  |
| ) |  |  |

Referenced by studio::AudioContainer::get_profile().

## Variable Documentation

const double delay_factor = 3